# $Revision: 1.17 $, $Date: 2009/10/02 08:27:36 $
Summary:	X.org video driver for Chips and Technologies video processors
Summary(pl.UTF-8):	Sterownik obrazu X.org do układów graficznych Chips and Technologies
Name:		xorg-driver-video-chips
Version:	1.2.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.bz2
# Source0-md5:	a3969c28c3b36ab2caa852a9324e9b70
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-chips < 1:7.0.0
Obsoletes:	XFree86-ChipsTechnologies
Obsoletes:	XFree86-driver-chips < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Chips and Technologies video processors. It
supports video processors on most of the bus types currently
available. Supported chipsets fall into one of three architectural
classes: basic (ct65520, ct65525, ct65530, ct65535, ct65540, ct65545,
ct65546, ct65548), WinGine (ct64200, ct64300) and HiQV (ct65550,
ct65554, ct65555, ct68554, ct69000, ct96030).

%description -l pl.UTF-8
Sterownik obrazu X.org do układów graficznych Chips and Technologies.
Obsluguje układy graficzne na większości z dostępnych teraz szyn.
Obsługiwane są układy z trzech klas architektur: basic (ct65520,
ct65525, ct65530, ct65535, ct65540, ct65545, ct65546, ct65548),
WinGine (ct64200, ct64300) oraz HiQV (ct65550, ct65554, ct65555,
ct68554, ct69000, ct96030).

%prep
%setup -q -n xf86-video-chips-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-chips.spec,v $
Revision 1.17  2009/10/02 08:27:36  arekm
- release 2

Revision 1.16  2009/08/20 06:44:21  adamg
- updated to 1.2.2

Revision 1.15  2009/02/25 21:34:18  arekm
- up to 1.2.1

Revision 1.14  2009/02/25 21:04:35  arekm
- release 4

Revision 1.13  2008/08/30 16:33:05  arekm
- release 3

Revision 1.12  2008/07/01 16:06:58  arekm
- release 2

Revision 1.11  2008-03-19 18:36:25  arekm
- up to 1.2.0

Revision 1.10  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.9  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.8  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/11 09:22:43  qboosh
- updated to 1.1.1

Revision 1.4  2006/01/06 14:00:46  qboosh
- 1.0.1.3 (X11R7.0 release)

Revision 1.3  2005/12/07 13:49:38  qboosh
- 1.0.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 14:08:58  qboosh
- 1.0.1 (X11R7.0-RC2)

Revision 1.1  2005/10/29 16:51:47  qboosh
- new
